<!--- SPDX-License-Identifier: Apache-2.0 -->
<!--- SPDX-FileCopyrightText: 2022 Sebastian Crane <seabass-labrax@gmx.com> -->

# Contributing to `matchbot`

Thank you for your interest in improving `matchbot`!
Here are some guidelines that will be useful to keep in mind through the process of submitting changes.

1. Make a personal fork of this repository on the [LibreGaming Git server](https://git.libregaming.org/) to push changes to (ask for an account on the Git server if you don't already have one).

2. Write meaningful Git commit messages - [here is a good guide for that](https://cbea.ms/git-commit/).

3. After pushing your changes to your personal fork, make a pull request with the web interface or with the [`tea` command-line client](https://gitea.com/gitea/tea).
Make sure to wait a few days to let others comment on your changes.

4. If there are no objections and you've resolved any issues that might have been brought up, rebase the commits onto the `master` branch.
If there are many commits, consider 'squashing' them into one with a single meaningful message when rebasing.
